version: '3.9'
services:
  mysqldb:
    container_name: database
    image: mysql:latest
    ports:
     - 3306:3306
    # or we can use network_mode: host
    environment:
     - MYSQL_ROOT_PASSWORD=Nepal#
     - MYSQL_DATABASE=assignment
    volumes:
     - applicationdata:/var/lib/mysql
    networks:
     - mysql
volumes:
  applicationdata:
networks:
  mysql:
